> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Address TopN Counterparties

> getAddressCounterparties - This endpoint get counterparties (TopN) by given address.



## OpenAPI

````yaml GET /api/v1/tracker/kya/address/counterparties
openapi: 3.0.3
info:
  title: Bitrace AML API
  description: >-
    Bitrace AML API provides comprehensive blockchain and crypto compliance
    tools for real-time risk detection capabilities. The API enables scrutiny of
    crypto transactions, wallet addresses, and crypto tokens with precision and
    efficiency.
  version: 1.0.0
  contact:
    name: Bitrace Support
    email: support@bitrace.io
servers:
  - url: https://api.bitrace.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: KYA (Know Your Address)
    description: Address risk assessment and entity identification
  - name: KYT (Know Your Transaction)
    description: Transaction monitoring and compliance
  - name: Account API
    description: Account usage and management APIs
  - name: Address Management
    description: Address management on the blacklist and whitelist
paths:
  /api/v1/tracker/kya/address/counterparties:
    get:
      tags:
        - KYA (Know Your Address)
      summary: Retrieve Address TopN Counterparties
      description: >-
        getAddressCounterparties - This endpoint get counterparties (TopN) by
        given address.
      parameters:
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: address
          in: query
          required: true
          schema:
            type: string
            description: The targe address
          description: The targe address
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/NetworkCore'
            description: The supported chainns short name, ethereum tron btc
          description: The supported chainns short name, ethereum tron btc
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KyaAddressCounterpartiesGetResponse'
              example:
                success: true
                code: 1
                status: SUCCESS
                data:
                  opponents:
                    - entities:
                        - entityName: Phishing Scam.Behavior
                          entityCode: phishing1-5
                          entityCategory: scam
                          entityCategoryCode: scam
                      risks:
                        - riskLevel: high
                          riskType: scam
                        - riskLevel: high
                          riskType: online-gambling
                      dir: in
                      chain: tron
                      address: TQQEMz8hWYLHbPePN7fGEsjAtrBGMkm3io
                      amount: 0.0000021624
                      symbol: USDT
                      transactionNumbers: 8
                    - entities:
                        - entityName: Phishing Scam.Behavior
                          entityCode: phishing1-5
                          entityCategory: scam
                          entityCategoryCode: scam
                      risks:
                        - riskLevel: high
                          riskType: scam
                      dir: in
                      chain: tron
                      address: TYuqajDCX2AfEPpyBBLgnstntFsDDM6juv
                      amount: 0.0000016218
                      symbol: USDT
                      transactionNumbers: 6
                    - entities:
                        - entityName: Phishing Scam.Behavior
                          entityCode: phishing1-5
                          entityCategory: scam
                          entityCategoryCode: scam
                      risks:
                        - riskLevel: high
                          riskType: scam
                        - riskLevel: high
                          riskType: online-gambling
                      dir: in
                      chain: tron
                      address: TUk7PALXpVBj7jBaXtZV3YmWUJG8P5m3io
                      amount: 0.0000010812
                      symbol: USDT
                      transactionNumbers: 4
                    - entities:
                        - entityName: OTC-369.Client
                          entityCode: 9-469-client
                          entityCategory: otc
                          entityCategoryCode: otc
                      risks:
                        - riskLevel: generally-high
                          riskType: online-gambling
                      dir: in
                      chain: tron
                      address: THrUtUZuFkEiQL8VtmeDhkbnmw5gekvkiX
                      amount: 577336
                      symbol: USDT
                      transactionNumbers: 2
                    - entities:
                        - entityName: Binance.User
                          entityCode: binance-user
                          entityCategory: cex
                          entityCategoryCode: cex
                      risks:
                        - riskLevel: generally-high
                          riskType: online-gambling
                      dir: out
                      chain: tron
                      address: TKwKrtkXRS79DK8JGVCtF76foX9iQbp3io
                      amount: 129597
                      symbol: USDT
                      transactionNumbers: 3
                msg: SUCCESS
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimit'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    NetworkCore:
      type: string
      enum:
        - ethereum
        - eth
        - tron
        - btc
        - bsc
      description: Supported blockchain networks
    KyaAddressCounterpartiesGetResponse:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                opponents:
                  type: array
                  items:
                    $ref: '#/components/schemas/Counterparty'
                  nullable: true
    BaseResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
        code:
          type: integer
          description: Response code (1 for success, other numbers for errors)
        msg:
          type: string
          description: SUCCESS or error message
    Counterparty:
      type: object
      properties:
        entities:
          type: array
          items:
            $ref: '#/components/schemas/Entity'
          nullable: true
        risks:
          type: array
          items:
            $ref: '#/components/schemas/Risk'
          nullable: true
        dir:
          type: string
          example: in
        chain:
          type: string
          example: tron
        address:
          type: string
          example: TQQEMz8hWYLHbPePN7fGEsjAtrBGMkm3io
        amount:
          type: number
          format: float
          example: 0.0000021624
        symbol:
          type: string
          example: USDT
        transactionNumbers:
          type: integer
          example: 8
    Error:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
          default: false
        code:
          type: integer
        msg:
          type: string
        status:
          type: string
    Entity:
      type: object
      properties:
        entityName:
          type: string
          description: The name of the identified entity
        entityCode:
          type: string
          description: The code of the identified entity
        entityCategory:
          type: string
          description: The category of the identified entity
        entityCategoryCode:
          type: string
          description: The category code of the identified entity
    Risk:
      type: object
      properties:
        riskLevel:
          $ref: '#/components/schemas/RiskLevel'
          description: The level of the risk
        riskType:
          $ref: '#/components/schemas/RiskType'
          description: The type of the risk
        riskSource:
          $ref: '#/components/schemas/riskSource'
          description: The source of the risk
    RiskLevel:
      type: string
      enum:
        - high
        - generally-high
        - low
        - whitelist
      description: The level of the risk
    RiskType:
      type: string
      enum:
        - black-gray-goods
        - online-gambling
        - scam
        - hack
        - launder-money
        - sanction
        - frozen
        - politics
        - drug
        - gun
        - terrorist
        - porn
        - controlled-substance
        - bloodiness
        - religion
        - csam
      description: The type of the risk
    riskSource:
      type: string
      enum:
        - Bitrace
        - Community
        - User-Defined
  responses:
    BadRequest:
      description: Bad Request - Your request is invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized - Incorrect API key provided
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Too Many Requests - Rate limit reached or quota exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - We had a problem with our server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Access-Key
      description: API key authentication

````